> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# News Search



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /data/news/search
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /data/news/search:
    post:
      tags:
        - Data APIs
        - Data APIs
      summary: News Search
      operationId: news_search
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewsSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os

            import requests

            response = requests.post(
                "https://api.notte.cc/data/news/search",
                headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
                json={
                    "searchBy": {"type": "entity", "entity": {"type": "domain", "domain": "anthropic.com"}},
                    "sortBy": {"type": "newest"},
                    "limit": 10,
                },
                timeout=330,
            )
            response.raise_for_status()
            print(response.json())
          label: python
        - lang: TypeScript
          source: >-
            const response = await
            fetch("https://api.notte.cc/data/news/search", {
              method: "POST",
              headers: {
                Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
                "Content-Type": "application/json",
              },
              body: JSON.stringify({
                "searchBy": {
                  "type": "entity",
                  "entity": {
                    "type": "domain",
                    "domain": "anthropic.com"
                  }
                },
                "sortBy": {
                  "type": "newest"
                },
                "limit": 10
              }),
              signal: AbortSignal.timeout(330_000),
            });

            if (!response.ok) throw new Error(await response.text());

            console.log(await response.json());
          label: node
        - lang: Curl
          source: >-
            curl --fail-with-body --max-time 330 --request POST
            https://api.notte.cc/data/news/search \
              --header "Authorization: Bearer $NOTTE_API_KEY" \
              --header 'Content-Type: application/json' \
              --data '{
              "searchBy": {
                "type": "entity",
                "entity": {
                  "type": "domain",
                  "domain": "anthropic.com"
                }
              },
              "sortBy": {
                "type": "newest"
              },
              "limit": 10
            }'
          label: curl
components:
  schemas:
    NewsSearchRequest:
      properties:
        searchBy:
          $ref: '#/components/schemas/NewsSearchBy'
        filterBy:
          $ref: '#/components/schemas/NewsFilter'
        sortBy:
          $ref: '#/components/schemas/NewsSort'
        limit:
          type: integer
          maximum: 100
          minimum: 1
          title: Limit
          default: 10
        cursor:
          anyOf:
            - type: string
              maxLength: 300
            - type: 'null'
          title: Cursor
        tags:
          items:
            type: string
            maxLength: 50
            minLength: 1
          type: array
          maxItems: 20
          title: Tags
      additionalProperties: false
      type: object
      required:
        - searchBy
      title: NewsSearchRequest
    NewsSearchResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/NewsArticle'
          type: array
          title: Data
        has_more:
          type: boolean
          title: Has More
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        meta:
          $ref: '#/components/schemas/NewsMeta'
        request_id:
          type: string
          title: Request Id
      additionalProperties: false
      type: object
      required:
        - data
        - has_more
        - next_cursor
        - meta
        - request_id
      title: NewsSearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NewsSearchBy:
      properties:
        type:
          type: string
          const: entity
          title: Type
        entity:
          oneOf:
            - $ref: '#/components/schemas/NewsEntityName'
            - $ref: '#/components/schemas/NewsEntityDomain'
            - $ref: '#/components/schemas/NewsEntityTicker'
            - $ref: '#/components/schemas/NewsEntityIsin'
          title: Entity
          discriminator:
            propertyName: type
            mapping:
              domain: '#/components/schemas/NewsEntityDomain'
              isin: '#/components/schemas/NewsEntityIsin'
              name: '#/components/schemas/NewsEntityName'
              ticker: '#/components/schemas/NewsEntityTicker'
      additionalProperties: false
      type: object
      required:
        - type
        - entity
      title: NewsSearchBy
    NewsFilter:
      properties:
        sourceDomain:
          anyOf:
            - items:
                type: string
                maxLength: 253
                minLength: 1
              type: array
              maxItems: 3
              minItems: 1
            - type: 'null'
          title: Sourcedomain
        sourceCountry:
          anyOf:
            - items:
                type: string
                enum:
                  - ae
                  - ar
                  - au
                  - ca
                  - cg
                  - ch
                  - cl
                  - cz
                  - de
                  - fi
                  - fr
                  - gb
                  - hk
                  - il
                  - in
                  - jp
                  - kr
                  - mx
                  - ng
                  - nl
                  - pk
                  - qa
                  - sa
                  - se
                  - sg
                  - us
                  - za
              type: array
              maxItems: 3
              minItems: 1
            - type: 'null'
          title: Sourcecountry
        articleLanguage:
          anyOf:
            - items:
                type: string
                enum:
                  - ar
                  - de
                  - en
                  - es
                  - fr
                  - hi
                  - it
                  - ja
                  - ko
                  - nl
                  - pt
                  - ru
                  - zh
              type: array
              maxItems: 3
              minItems: 1
            - type: 'null'
          title: Articlelanguage
        articleType:
          anyOf:
            - items:
                type: string
                enum:
                  - editorial
                  - press_release
                  - regulatory_filing
                  - advisory
              type: array
              maxItems: 3
              minItems: 1
            - type: 'null'
          title: Articletype
        date:
          anyOf:
            - $ref: '#/components/schemas/NewsDateFilter'
            - type: 'null'
      additionalProperties: false
      type: object
      title: NewsFilter
    NewsSort:
      properties:
        type:
          type: string
          enum:
            - newest
            - relevance
          title: Type
          default: newest
      additionalProperties: false
      type: object
      title: NewsSort
    NewsArticle:
      properties:
        id:
          type: string
          title: Id
        story_id:
          type: string
          title: Story Id
        url:
          type: string
          title: Url
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        authors:
          items:
            type: string
          type: array
          title: Authors
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
        type:
          type: string
          enum:
            - editorial
            - press_release
            - regulatory_filing
            - advisory
          title: Type
          default: editorial
        source:
          $ref: '#/components/schemas/NewsSource'
        match:
          $ref: '#/components/schemas/NewsMatch'
      additionalProperties: false
      type: object
      required:
        - id
        - story_id
        - url
        - title
        - source
        - match
      title: NewsArticle
    NewsMeta:
      properties:
        count:
          type: integer
          minimum: 0
          title: Count
      additionalProperties: false
      type: object
      required:
        - count
      title: NewsMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NewsEntityName:
      properties:
        type:
          type: string
          const: name
          title: Type
        name:
          type: string
          maxLength: 200
          minLength: 2
          title: Name
      additionalProperties: false
      type: object
      required:
        - type
        - name
      title: NewsEntityName
    NewsEntityDomain:
      properties:
        type:
          type: string
          const: domain
          title: Type
        domain:
          type: string
          maxLength: 253
          minLength: 1
          title: Domain
      additionalProperties: false
      type: object
      required:
        - type
        - domain
      title: NewsEntityDomain
    NewsEntityTicker:
      properties:
        type:
          type: string
          const: ticker
          title: Type
        ticker:
          type: string
          maxLength: 20
          minLength: 1
          pattern: ^[A-Za-z0-9.-]+$
          title: Ticker
        exchange:
          anyOf:
            - type: string
              enum:
                - AMEX
                - AMS
                - AQS
                - ASX
                - ATH
                - BER
                - BME
                - BRU
                - BSE
                - BUD
                - BUE
                - BVC
                - CBOE
                - CNQ
                - CPH
                - DFM
                - DOH
                - DUB
                - DUS
                - DXE
                - EGX
                - FSX
                - HAM
                - HEL
                - HKSE
                - HOSE
                - ICE
                - IOB
                - IST
                - JKT
                - JNB
                - JPX
                - KLS
                - KOE
                - KSC
                - KUW
                - LIS
                - LSE
                - MCX
                - MEX
                - MIL
                - MUN
                - NASDAQ
                - NEO
                - NSE
                - NYSE
                - NZE
                - OSL
                - OTC
                - PAR
                - PNK
                - PRA
                - RIS
                - SAO
                - SAU
                - SES
                - SET
                - SGO
                - SHH
                - SHZ
                - SIX
                - STO
                - STU
                - TAI
                - TAL
                - TLV
                - TSX
                - TSXV
                - TWO
                - VIE
                - WSE
                - XETRA
            - type: 'null'
          title: Exchange
      additionalProperties: false
      type: object
      required:
        - type
        - ticker
      title: NewsEntityTicker
    NewsEntityIsin:
      properties:
        type:
          type: string
          const: isin
          title: Type
        isin:
          type: string
          pattern: ^[A-Za-z]{2}[A-Za-z0-9]{9}[0-9]$
          title: Isin
      additionalProperties: false
      type: object
      required:
        - type
        - isin
      title: NewsEntityIsin
    NewsDateFilter:
      properties:
        from:
          anyOf:
            - type: integer
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: 'null'
          title: To
      additionalProperties: false
      type: object
      title: NewsDateFilter
    NewsSource:
      properties:
        name:
          type: string
          title: Name
        domain:
          type: string
          title: Domain
        direct:
          type: boolean
          title: Direct
          default: false
      additionalProperties: false
      type: object
      required:
        - name
        - domain
      title: NewsSource
    NewsMatch:
      properties:
        level:
          type: string
          enum:
            - primary
            - secondary
          title: Level
        confidence:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Confidence
      additionalProperties: false
      type: object
      required:
        - level
      title: NewsMatch
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.